# Theme Switcher

Switch Dark/Light theme based on time or on sunrise/sunset

## Usage

When activated, switches automaticaly the theme based on time or on sunrise/sunset. 

## Controls

In the app you can:

-activate / deactivate the general functionality

-manualy switch dark/light theme

-define times for light / dark switch (at the moment 1 --> dark and 1 --> light switch time)

-set automatic witching based on sunrise/sunset times privided by the [suncalc](https://github.com/jla-42/BangleApps/blob/master/modules/suncalc.js) module

## Creator

[jla-42](https://github.com/jla-42)

## Note
The app functionality is inspired by the [Quiet Mode Schedule and Widget](https://github.com/espruino/BangleApps/tree/master/apps/qmsched) app, where i missed the sunrise/sunset functionality, and wanted an indipendent switch of the theme and notifications.

## ToDos
-further code clean up

-optimization of code (and check if needed)

-transfer of configuration into settings, so app can be used as a shortcut to switch theme.

-feedback is always welcome

#### Attributions
The app icon is downloaded from [https://icons8.com](https://icons8.com).

#### License
[MIT License](LICENSE)
